Subject: bug#65049: Minor update to the repro steps

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Aug 2023 15:12:48 +0300

> Date: Mon, 28 Aug 2023 01:32:57 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >> Regarding your paragraph above about mojibake, though. That makes a lot
> >> of sense, but I feel I have to stress: this mechanism doesn't work for
> >> vc-root-diff (C-x v D).
> > 
> > Not sure I understand.  Can you show a recipe for "doesn't work"?
> 
> It's the same recipe as what you proposed I test (a file with dos line 
> ending on unix). But you don't even have to test that.
> 
> Try edebug-instrumenting vc-diff-internal and then calling vc-root-diff 
> anywhere (C-x v D). When the execution reaches the line that we have 
> been discussing, you'll see that (vc-coding-system-for-diff (car files)) 
> evaluates to 'undecided because (car files) is a directory.
> 
> So this mechanism is always unused in vc-root-diff.

OK, but in that case 'undecided' is the best guess we can come up
with.  It basically lets Emacs guess when it actually sees the stuff
in the diffs, while reading it into a buffer.